Bug 1326459 - Automate namespace priority order not working properly
Summary: Automate namespace priority order not working properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.5.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.5.5
Assignee: mkanoor
QA Contact: Milan Falešník
URL:
Whiteboard: automate
Depends On: 1324094
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 17:50 UTC by John Prause
Modified: 2016-07-26 15:32 UTC (History)
8 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1324094
Environment:
Last Closed: 2016-07-26 15:32:16 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 3 CFME Bot 2016-05-24 16:40:02 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=1b6e399ace6041e544bc3a07c1a7cde17f5643ac

commit 1b6e399ace6041e544bc3a07c1a7cde17f5643ac
Merge: f124165 9eba36b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue May 24 12:24:39 2016 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue May 24 12:24:39 2016 -0400

    Merge branch 'bugzilla_1326459_5_5_z' into '5.5.z'
    
    Incorrect priority order of domains
    
    Original PR https://github.com/ManageIQ/manageiq/pull/7884
    Clean Cherry Pick
    https://bugzilla.redhat.com/show_bug.cgi?id=1326459
    
    See merge request !949

 app/controllers/miq_ae_class_controller.rb |  2 +-
 app/models/tenant.rb                       |  6 ++++++
 spec/models/tenant_spec.rb                 | 18 ++++++++++++++++++
 3 files changed, 25 insertions(+), 1 deletion(-)

Comment 5 Milan Falešník 2016-07-14 09:55:57 UTC
Verified in 5.5.5.2 using the provided steps.

Comment 7 errata-xmlrpc 2016-07-26 15:32:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.